Bug 392231 - Uploaded file corrupted when two connections from same client uploading same file simultaneously
Uploaded file corrupted when two connections from same client uploading same ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vsftpd (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
:
Depends On: 218307
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 08:33 EST by Michal Nowak
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0295
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix STOU file naming (576 bytes, patch)
2007-12-12 04:18 EST, Martin Nagy
no flags Details | Diff

  None (edit)
Comment 2 RHEL Product and Program Management 2007-12-03 15:47:55 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Martin Nagy 2007-12-04 07:32:09 EST
Fixed in fedora/rawhide (vsftpd-2.0.5-21.fc9).
Comment 4 Martin Nagy 2007-12-06 15:40:21 EST
Re-proposing for 5.2 since vsftpd was approved for 5.2.
Comment 5 RHEL Product and Program Management 2007-12-06 15:45:42 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 6 RHEL Product and Program Management 2007-12-07 10:34:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Martin Nagy 2007-12-12 04:18:11 EST
Created attachment 285491 [details]
Fix STOU file naming

This patch generates a better unique name, as it will consider the name without
the prefix.
Comment 9 Martin Nagy 2007-12-12 04:19:27 EST
This issue will be fixed in vsftpd-2.0.5-10.el5
Comment 10 Martin Nagy 2007-12-12 05:09:02 EST
Correction:
This will be fixed in vsftpd-2.0.5-11.el5
Comment 14 errata-xmlrpc 2008-05-21 10:16:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0295.html

Note You need to log in before you can comment on or make changes to this bug.